<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/musicItem"
    android:theme="@style/AriDroid.Card"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginHorizontal="10dp"
    android:layout_marginVertical="5dp"
    app:cardBackgroundColor="?attr/colorSurface"
    app:cardCornerRadius="?attr/cornerRadius">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp">

        <androidx.cardview.widget.CardView
            android:id="@+id/musicArtworkContainer"
            android:layout_width="48dp"
            android:layout_height="48dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:cardCornerRadius="24dp">
            <ImageView
                android:id="@+id/artistAvatar"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:contentDescription="@string/artist_avatar_description"
                android:src="@mipmap/ic_launcher"/>
        </androidx.cardview.widget.CardView>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            app:layout_constraintBottom_toBottomOf="@id/musicArtworkContainer"
            app:layout_constraintLeft_toRightOf="@id/musicArtworkContainer"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/musicArtworkContainer">

            <TextView
                android:id="@+id/artistName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                android:textFontWeight="600"
                android:textSize="16sp"
                android:textColor="?attr/colorOnSurface"
                android:text="@string/default_artist_name" />

            <Button
                android:id="@+id/artistWebsite"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingHorizontal="0dp"
                android:paddingVertical="0dp"
                android:text="@string/artist_website"
                android:textColor="?attr/colorSurface"
                android:textColorLink="?attr/colorOnSurface"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.cardview.widget.CardView>
